View Issue Details

IDProjectCategoryView StatusLast Update
0031284Open CASCADEOCCT:Visualizationpublic2020-12-02 17:12
Reporterkgv Assigned Tobugmaster  
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Product Version7.5.0 
Target Version7.5.0Fixed in Version7.5.0 
Summary0031284: Visualization - XCAFDoc_VisMaterialPBR lacks Index of Refraction
DescriptionIndex of Refraction (IOR) is important parameter for transparent material, therefore it is necessary storing it.
TagsNo tags attached.
Test case numberv3d/materials/ior

Attached Files

  • ior_pbr.png (264,363 bytes)
  • ior_pt.png (341,188 bytes)

Activities

git

2019-12-27 14:27

administrator   ~0089788

Branch CR31284_1 has been created by kgv.

SHA-1: 6a68b785c209398f0b1bbb732467a0bc598d9aed


Detailed log of new commits:

Author: kgv
Date: Fri Dec 27 14:24:58 2019 +0300

    0031284: Visualization - XCAFDoc_VisMaterialPBR lacks Index of Refraction
    
    Added missing parameter.

kgv

2019-12-27 14:28

developer  

ior_pbr.png (264,363 bytes)

kgv

2019-12-27 14:29

developer  

ior_pt.png (341,188 bytes)

git

2019-12-27 14:52

administrator   ~0089789

Branch CR31284_1 has been updated forcibly by kgv.

SHA-1: 0584c13d7c1b8aa4a2b5f398d2c27ff197676869

git

2019-12-27 16:01

administrator   ~0089790

Branch CR31284_1 has been updated forcibly by kgv.

SHA-1: 2da3dcb957f98d8019a12edf6a483dfb5f3080ff

kgv

2019-12-27 16:03

developer   ~0089791

Please raise the patch.

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR31284_1-master-KGV/

git

2019-12-28 15:23

administrator   ~0089796

Branch CR31284_1 has been deleted by inv.

SHA-1: 2da3dcb957f98d8019a12edf6a483dfb5f3080ff

Related Changesets

occt: master 0858125f

2019-12-27 11:24:58

kgv


Committer: bugmaster Details Diff
0031284: Visualization - XCAFDoc_VisMaterialPBR lacks Index of Refraction

Added missing parameter.
Affected Issues
0031284
mod - src/BinMXCAFDoc/BinMXCAFDoc_VisMaterialDriver.cxx Diff File
mod - src/BinMXCAFDoc/BinMXCAFDoc_VisMaterialDriver.hxx Diff File
mod - src/Graphic3d/Graphic3d_BSDF.cxx Diff File
mod - src/RWGltf/RWGltf_GltfJsonParser.cxx Diff File
mod - src/XCAFDoc/XCAFDoc_VisMaterial.cxx Diff File
mod - src/XCAFDoc/XCAFDoc_VisMaterialPBR.hxx Diff File
mod - src/XDEDRAW/XDEDRAW_Colors.cxx Diff File
mod - src/XmlMXCAFDoc/XmlMXCAFDoc_VisMaterialDriver.cxx Diff File
add - tests/v3d/materials/ior Diff File

Issue History

Date Modified Username Field Change
2019-12-27 13:47 kgv New Issue
2019-12-27 13:47 kgv Assigned To => kgv
2019-12-27 14:27 git Note Added: 0089788
2019-12-27 14:28 kgv File Added: ior_pbr.png
2019-12-27 14:29 kgv File Added: ior_pt.png
2019-12-27 14:52 git Note Added: 0089789
2019-12-27 16:01 git Note Added: 0089790
2019-12-27 16:03 kgv Note Added: 0089791
2019-12-27 16:03 kgv Assigned To kgv => bugmaster
2019-12-27 16:03 kgv Status new => resolved
2019-12-27 16:04 kgv Status resolved => reviewed
2019-12-27 16:34 bugmaster Test case number => v3d/materials/ior
2019-12-28 13:37 bugmaster Changeset attached => occt master 0858125f
2019-12-28 13:37 bugmaster Status reviewed => verified
2019-12-28 13:37 bugmaster Resolution open => fixed
2019-12-28 15:23 git Note Added: 0089796
2020-12-02 16:41 emo Fixed in Version => 7.5.0
2020-12-02 17:12 emo Status verified => closed
The file specified in $g_log_destination "/var/log/mantis/bugs/LDAP.log" is not writable.